Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup/HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup.vdproj
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup/HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup.vdproj	(revision 6744)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup/HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup.vdproj	(revision 6898)
@@ -16,11 +16,5 @@
         "Entry"
         {
-        "MsmKey" = "8:_09E29170ABBCB4A4576BCBDC2ECA12FF"
-        "OwnerKey" = "8:_48FD1298DF9E18B375781EC3607AA299"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_09E29170ABBCB4A4576BCBDC2ECA12FF"
+        "MsmKey" = "8:_2882F9E64173FCEB82D41D4DCFFC7DFC"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -28,210 +22,6 @@
         "Entry"
         {
-        "MsmKey" = "8:_09E29170ABBCB4A4576BCBDC2ECA12FF"
-        "OwnerKey" = "8:_B6B9AEAF05998463AE4BEE0B7DD3C6E3"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_09E29170ABBCB4A4576BCBDC2ECA12FF"
-        "OwnerKey" = "8:_BEAFD672420F4E9F4EF5320A6FD228D5"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_09E29170ABBCB4A4576BCBDC2ECA12FF"
-        "OwnerKey" = "8:_308DF99B18FEC29C15B4C1A83090700B"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_09E29170ABBCB4A4576BCBDC2ECA12FF"
-        "OwnerKey" = "8:_747ECFD133B679D7EDB8B013F82414ED"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_09E29170ABBCB4A4576BCBDC2ECA12FF"
-        "OwnerKey" = "8:_DDDC2304DF03988386A962E677272C75"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_09E29170ABBCB4A4576BCBDC2ECA12FF"
-        "OwnerKey" = "8:_F200C72A4BE5597C7761825AE83FC6A8"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
-        "OwnerKey" = "8:_09E29170ABBCB4A4576BCBDC2ECA12FF"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
-        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
-        "OwnerKey" = "8:_B6B9AEAF05998463AE4BEE0B7DD3C6E3"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
-        "OwnerKey" = "8:_BEAFD672420F4E9F4EF5320A6FD228D5"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
-        "OwnerKey" = "8:_308DF99B18FEC29C15B4C1A83090700B"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
-        "OwnerKey" = "8:_747ECFD133B679D7EDB8B013F82414ED"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
-        "OwnerKey" = "8:_BE977EC17434C826BFAFD0E106E7545E"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
-        "OwnerKey" = "8:_DDDC2304DF03988386A962E677272C75"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
-        "OwnerKey" = "8:_48FD1298DF9E18B375781EC3607AA299"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
-        "OwnerKey" = "8:_298FAD981129E211A085CCCD3029BA01"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
-        "OwnerKey" = "8:_BDE8CCFC73D5EB984C3E210430700907"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
-        "OwnerKey" = "8:_32D6DA86885B62A60CFCC5CEA22306C8"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
-        "OwnerKey" = "8:_74788AEA6840C1A137EAD75400B25FB0"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
-        "OwnerKey" = "8:_F200C72A4BE5597C7761825AE83FC6A8"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_298FAD981129E211A085CCCD3029BA01"
-        "OwnerKey" = "8:_F200C72A4BE5597C7761825AE83FC6A8"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_298FAD981129E211A085CCCD3029BA01"
-        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_298FAD981129E211A085CCCD3029BA01"
-        "OwnerKey" = "8:_BEAFD672420F4E9F4EF5320A6FD228D5"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_298FAD981129E211A085CCCD3029BA01"
-        "OwnerKey" = "8:_308DF99B18FEC29C15B4C1A83090700B"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_298FAD981129E211A085CCCD3029BA01"
-        "OwnerKey" = "8:_747ECFD133B679D7EDB8B013F82414ED"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_298FAD981129E211A085CCCD3029BA01"
-        "OwnerKey" = "8:_DDDC2304DF03988386A962E677272C75"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_308DF99B18FEC29C15B4C1A83090700B"
-        "OwnerKey" = "8:_747ECFD133B679D7EDB8B013F82414ED"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_308DF99B18FEC29C15B4C1A83090700B"
-        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_32D6DA86885B62A60CFCC5CEA22306C8"
-        "OwnerKey" = "8:_74788AEA6840C1A137EAD75400B25FB0"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_32D6DA86885B62A60CFCC5CEA22306C8"
-        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_32D6DA86885B62A60CFCC5CEA22306C8"
-        "OwnerKey" = "8:_DDDC2304DF03988386A962E677272C75"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_32D6DA86885B62A60CFCC5CEA22306C8"
-        "OwnerKey" = "8:_747ECFD133B679D7EDB8B013F82414ED"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_32D6DA86885B62A60CFCC5CEA22306C8"
-        "OwnerKey" = "8:_BEAFD672420F4E9F4EF5320A6FD228D5"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_32D6DA86885B62A60CFCC5CEA22306C8"
-        "OwnerKey" = "8:_308DF99B18FEC29C15B4C1A83090700B"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_32D6DA86885B62A60CFCC5CEA22306C8"
-        "OwnerKey" = "8:_F200C72A4BE5597C7761825AE83FC6A8"
+        "MsmKey" = "8:_2882F9E64173FCEB82D41D4DCFFC7DFC"
+        "OwnerKey" = "8:_C99E9B4E517069A089B657AE007CF77B"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -244,4 +34,46 @@
         "Entry"
         {
+        "MsmKey" = "8:_3ABE8A53BCA1CBC486DDBB39D49162B0"
+        "OwnerKey" = "8:_DFBC0A51ED15292B95F858E150882F5D"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_3ABE8A53BCA1CBC486DDBB39D49162B0"
+        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_3ABE8A53BCA1CBC486DDBB39D49162B0"
+        "OwnerKey" = "8:_C99E9B4E517069A089B657AE007CF77B"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_3ABE8A53BCA1CBC486DDBB39D49162B0"
+        "OwnerKey" = "8:_FE70E8BCFB8F95B5BA8135C4061CB63C"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_3ABE8A53BCA1CBC486DDBB39D49162B0"
+        "OwnerKey" = "8:_4AA0E296E0DE70CDC80D911B5FB8B828"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_3ABE8A53BCA1CBC486DDBB39D49162B0"
+        "OwnerKey" = "8:_76455BF091D471B8F265D4FE7AE1A1A0"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_3ABE8A53BCA1CBC486DDBB39D49162B0"
+        "OwnerKey" = "8:_89B1DC35899CE5ADEBFBBBFC92E1AB9D"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
         "MsmKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "OwnerKey" = "8:_UNDEFINED"
@@ -256,6 +88,48 @@
         "Entry"
         {
-        "MsmKey" = "8:_48FD1298DF9E18B375781EC3607AA299"
+        "MsmKey" = "8:_4AA0E296E0DE70CDC80D911B5FB8B828"
+        "OwnerKey" = "8:_FE70E8BCFB8F95B5BA8135C4061CB63C"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4AA0E296E0DE70CDC80D911B5FB8B828"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4DC517E8EA3134EFFFA08BB31BEE1801"
+        "OwnerKey" = "8:_C99E9B4E517069A089B657AE007CF77B"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4DC517E8EA3134EFFFA08BB31BEE1801"
+        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4DC517E8EA3134EFFFA08BB31BEE1801"
+        "OwnerKey" = "8:_4AA0E296E0DE70CDC80D911B5FB8B828"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4DC517E8EA3134EFFFA08BB31BEE1801"
+        "OwnerKey" = "8:_76455BF091D471B8F265D4FE7AE1A1A0"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4DC517E8EA3134EFFFA08BB31BEE1801"
+        "OwnerKey" = "8:_FE70E8BCFB8F95B5BA8135C4061CB63C"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_4DC517E8EA3134EFFFA08BB31BEE1801"
+        "OwnerKey" = "8:_89B1DC35899CE5ADEBFBBBFC92E1AB9D"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -268,11 +142,11 @@
         "Entry"
         {
-        "MsmKey" = "8:_74788AEA6840C1A137EAD75400B25FB0"
-        "OwnerKey" = "8:_F200C72A4BE5597C7761825AE83FC6A8"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_74788AEA6840C1A137EAD75400B25FB0"
+        "MsmKey" = "8:_76455BF091D471B8F265D4FE7AE1A1A0"
+        "OwnerKey" = "8:_FE70E8BCFB8F95B5BA8135C4061CB63C"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_76455BF091D471B8F265D4FE7AE1A1A0"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -280,29 +154,11 @@
         "Entry"
         {
-        "MsmKey" = "8:_74788AEA6840C1A137EAD75400B25FB0"
-        "OwnerKey" = "8:_BEAFD672420F4E9F4EF5320A6FD228D5"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_74788AEA6840C1A137EAD75400B25FB0"
-        "OwnerKey" = "8:_747ECFD133B679D7EDB8B013F82414ED"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_74788AEA6840C1A137EAD75400B25FB0"
-        "OwnerKey" = "8:_DDDC2304DF03988386A962E677272C75"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_747ECFD133B679D7EDB8B013F82414ED"
-        "OwnerKey" = "8:_DDDC2304DF03988386A962E677272C75"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_747ECFD133B679D7EDB8B013F82414ED"
+        "MsmKey" = "8:_861B90931D4FD5677B180339802C6388"
+        "OwnerKey" = "8:_C99E9B4E517069A089B657AE007CF77B"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_861B90931D4FD5677B180339802C6388"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -310,11 +166,17 @@
         "Entry"
         {
-        "MsmKey" = "8:_B6B9AEAF05998463AE4BEE0B7DD3C6E3"
-        "OwnerKey" = "8:_DDDC2304DF03988386A962E677272C75"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_B6B9AEAF05998463AE4BEE0B7DD3C6E3"
+        "MsmKey" = "8:_861B90931D4FD5677B180339802C6388"
+        "OwnerKey" = "8:_8F37B891A59B04A3477719639CFA20B6"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_89B1DC35899CE5ADEBFBBBFC92E1AB9D"
+        "OwnerKey" = "8:_C99E9B4E517069A089B657AE007CF77B"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_89B1DC35899CE5ADEBFBBBFC92E1AB9D"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -322,17 +184,35 @@
         "Entry"
         {
-        "MsmKey" = "8:_B6B9AEAF05998463AE4BEE0B7DD3C6E3"
-        "OwnerKey" = "8:_48FD1298DF9E18B375781EC3607AA299"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BDE8CCFC73D5EB984C3E210430700907"
-        "OwnerKey" = "8:_32D6DA86885B62A60CFCC5CEA22306C8"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BDE8CCFC73D5EB984C3E210430700907"
+        "MsmKey" = "8:_89B1DC35899CE5ADEBFBBBFC92E1AB9D"
+        "OwnerKey" = "8:_8F37B891A59B04A3477719639CFA20B6"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_89B1DC35899CE5ADEBFBBBFC92E1AB9D"
+        "OwnerKey" = "8:_4AA0E296E0DE70CDC80D911B5FB8B828"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_89B1DC35899CE5ADEBFBBBFC92E1AB9D"
+        "OwnerKey" = "8:_76455BF091D471B8F265D4FE7AE1A1A0"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_89B1DC35899CE5ADEBFBBBFC92E1AB9D"
+        "OwnerKey" = "8:_FE70E8BCFB8F95B5BA8135C4061CB63C"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_89B1DC35899CE5ADEBFBBBFC92E1AB9D"
+        "OwnerKey" = "8:_861B90931D4FD5677B180339802C6388"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_8F37B891A59B04A3477719639CFA20B6"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -340,11 +220,11 @@
         "Entry"
         {
-        "MsmKey" = "8:_BE977EC17434C826BFAFD0E106E7545E"
-        "OwnerKey" = "8:_DDDC2304DF03988386A962E677272C75"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BE977EC17434C826BFAFD0E106E7545E"
+        "MsmKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
+        "OwnerKey" = "8:_2882F9E64173FCEB82D41D4DCFFC7DFC"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -352,11 +232,77 @@
         "Entry"
         {
-        "MsmKey" = "8:_BEAFD672420F4E9F4EF5320A6FD228D5"
-        "OwnerKey" = "8:_747ECFD133B679D7EDB8B013F82414ED"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_BEAFD672420F4E9F4EF5320A6FD228D5"
+        "MsmKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
+        "OwnerKey" = "8:_8F37B891A59B04A3477719639CFA20B6"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
+        "OwnerKey" = "8:_C99E9B4E517069A089B657AE007CF77B"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
+        "OwnerKey" = "8:_FE70E8BCFB8F95B5BA8135C4061CB63C"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
+        "OwnerKey" = "8:_4AA0E296E0DE70CDC80D911B5FB8B828"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
+        "OwnerKey" = "8:_76455BF091D471B8F265D4FE7AE1A1A0"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
+        "OwnerKey" = "8:_861B90931D4FD5677B180339802C6388"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
+        "OwnerKey" = "8:_89B1DC35899CE5ADEBFBBBFC92E1AB9D"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
+        "OwnerKey" = "8:_4DC517E8EA3134EFFFA08BB31BEE1801"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
+        "OwnerKey" = "8:_DF3FC5A25B80BDAADCBAA8D7AE98F010"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
+        "OwnerKey" = "8:_DFBC0A51ED15292B95F858E150882F5D"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
+        "OwnerKey" = "8:_CEF3C906152F1560485721475EBC3D41"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
+        "OwnerKey" = "8:_3ABE8A53BCA1CBC486DDBB39D49162B0"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_C99E9B4E517069A089B657AE007CF77B"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -364,11 +310,17 @@
         "Entry"
         {
-        "MsmKey" = "8:_C3DB513787006C0DE80AAF4931E28808"
-        "OwnerKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_C3DB513787006C0DE80AAF4931E28808"
+        "MsmKey" = "8:_C99E9B4E517069A089B657AE007CF77B"
+        "OwnerKey" = "8:_8F37B891A59B04A3477719639CFA20B6"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_CEF3C906152F1560485721475EBC3D41"
+        "OwnerKey" = "8:_3ABE8A53BCA1CBC486DDBB39D49162B0"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_CEF3C906152F1560485721475EBC3D41"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -376,17 +328,11 @@
         "Entry"
         {
-        "MsmKey" = "8:_C3DB513787006C0DE80AAF4931E28808"
-        "OwnerKey" = "8:_32D6DA86885B62A60CFCC5CEA22306C8"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_DDDC2304DF03988386A962E677272C75"
-        "OwnerKey" = "8:_48FD1298DF9E18B375781EC3607AA299"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_DDDC2304DF03988386A962E677272C75"
+        "MsmKey" = "8:_DF3FC5A25B80BDAADCBAA8D7AE98F010"
+        "OwnerKey" = "8:_C99E9B4E517069A089B657AE007CF77B"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_DF3FC5A25B80BDAADCBAA8D7AE98F010"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -394,11 +340,47 @@
         "Entry"
         {
-        "MsmKey" = "8:_F200C72A4BE5597C7761825AE83FC6A8"
-        "OwnerKey" = "8:_48FD1298DF9E18B375781EC3607AA299"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_F200C72A4BE5597C7761825AE83FC6A8"
+        "MsmKey" = "8:_DF3FC5A25B80BDAADCBAA8D7AE98F010"
+        "OwnerKey" = "8:_8F37B891A59B04A3477719639CFA20B6"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_DF3FC5A25B80BDAADCBAA8D7AE98F010"
+        "OwnerKey" = "8:_4AA0E296E0DE70CDC80D911B5FB8B828"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_DF3FC5A25B80BDAADCBAA8D7AE98F010"
+        "OwnerKey" = "8:_76455BF091D471B8F265D4FE7AE1A1A0"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_DF3FC5A25B80BDAADCBAA8D7AE98F010"
+        "OwnerKey" = "8:_FE70E8BCFB8F95B5BA8135C4061CB63C"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_DF3FC5A25B80BDAADCBAA8D7AE98F010"
+        "OwnerKey" = "8:_861B90931D4FD5677B180339802C6388"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_DF3FC5A25B80BDAADCBAA8D7AE98F010"
+        "OwnerKey" = "8:_89B1DC35899CE5ADEBFBBBFC92E1AB9D"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_DFBC0A51ED15292B95F858E150882F5D"
+        "OwnerKey" = "8:_C99E9B4E517069A089B657AE007CF77B"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_DFBC0A51ED15292B95F858E150882F5D"
         "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
@@ -406,30 +388,48 @@
         "Entry"
         {
-        "MsmKey" = "8:_F200C72A4BE5597C7761825AE83FC6A8"
-        "OwnerKey" = "8:_B6B9AEAF05998463AE4BEE0B7DD3C6E3"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_F200C72A4BE5597C7761825AE83FC6A8"
-        "OwnerKey" = "8:_BEAFD672420F4E9F4EF5320A6FD228D5"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_F200C72A4BE5597C7761825AE83FC6A8"
-        "OwnerKey" = "8:_308DF99B18FEC29C15B4C1A83090700B"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_F200C72A4BE5597C7761825AE83FC6A8"
-        "OwnerKey" = "8:_747ECFD133B679D7EDB8B013F82414ED"
-        "MsmSig" = "8:_UNDEFINED"
-        }
-        "Entry"
-        {
-        "MsmKey" = "8:_F200C72A4BE5597C7761825AE83FC6A8"
-        "OwnerKey" = "8:_DDDC2304DF03988386A962E677272C75"
+        "MsmKey" = "8:_DFBC0A51ED15292B95F858E150882F5D"
+        "OwnerKey" = "8:_4AA0E296E0DE70CDC80D911B5FB8B828"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_DFBC0A51ED15292B95F858E150882F5D"
+        "OwnerKey" = "8:_FE70E8BCFB8F95B5BA8135C4061CB63C"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_DFBC0A51ED15292B95F858E150882F5D"
+        "OwnerKey" = "8:_89B1DC35899CE5ADEBFBBBFC92E1AB9D"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_F498B07FE00D5061A21D8D4CDD7E934D"
+        "OwnerKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_F498B07FE00D5061A21D8D4CDD7E934D"
+        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_F498B07FE00D5061A21D8D4CDD7E934D"
+        "OwnerKey" = "8:_3ABE8A53BCA1CBC486DDBB39D49162B0"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_FE70E8BCFB8F95B5BA8135C4061CB63C"
+        "OwnerKey" = "8:_C99E9B4E517069A089B657AE007CF77B"
+        "MsmSig" = "8:_UNDEFINED"
+        }
+        "Entry"
+        {
+        "MsmKey" = "8:_FE70E8BCFB8F95B5BA8135C4061CB63C"
+        "OwnerKey" = "8:_3C881D08A42747949E7F0009E1EB3D51"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -443,5 +443,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_48FD1298DF9E18B375781EC3607AA299"
+        "OwnerKey" = "8:_8F37B891A59B04A3477719639CFA20B6"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -449,5 +449,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_DDDC2304DF03988386A962E677272C75"
+        "OwnerKey" = "8:_C99E9B4E517069A089B657AE007CF77B"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -455,5 +455,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_B6B9AEAF05998463AE4BEE0B7DD3C6E3"
+        "OwnerKey" = "8:_FE70E8BCFB8F95B5BA8135C4061CB63C"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -461,5 +461,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_747ECFD133B679D7EDB8B013F82414ED"
+        "OwnerKey" = "8:_4AA0E296E0DE70CDC80D911B5FB8B828"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -467,5 +467,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_BEAFD672420F4E9F4EF5320A6FD228D5"
+        "OwnerKey" = "8:_76455BF091D471B8F265D4FE7AE1A1A0"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -473,5 +473,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_308DF99B18FEC29C15B4C1A83090700B"
+        "OwnerKey" = "8:_861B90931D4FD5677B180339802C6388"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -479,5 +479,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_BE977EC17434C826BFAFD0E106E7545E"
+        "OwnerKey" = "8:_89B1DC35899CE5ADEBFBBBFC92E1AB9D"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -485,5 +485,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_F200C72A4BE5597C7761825AE83FC6A8"
+        "OwnerKey" = "8:_4DC517E8EA3134EFFFA08BB31BEE1801"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -491,5 +491,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_298FAD981129E211A085CCCD3029BA01"
+        "OwnerKey" = "8:_DF3FC5A25B80BDAADCBAA8D7AE98F010"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -497,5 +497,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_74788AEA6840C1A137EAD75400B25FB0"
+        "OwnerKey" = "8:_DFBC0A51ED15292B95F858E150882F5D"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -503,5 +503,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_32D6DA86885B62A60CFCC5CEA22306C8"
+        "OwnerKey" = "8:_3ABE8A53BCA1CBC486DDBB39D49162B0"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -509,5 +509,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_BDE8CCFC73D5EB984C3E210430700907"
+        "OwnerKey" = "8:_CEF3C906152F1560485721475EBC3D41"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -515,5 +515,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_09E29170ABBCB4A4576BCBDC2ECA12FF"
+        "OwnerKey" = "8:_2882F9E64173FCEB82D41D4DCFFC7DFC"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -521,5 +521,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_2312363231709A6EFF11B5CF15221B9B"
+        "OwnerKey" = "8:_C9274A3C94283758E28C8DBC02BC8CB6"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -527,5 +527,5 @@
         {
         "MsmKey" = "8:_UNDEFINED"
-        "OwnerKey" = "8:_C3DB513787006C0DE80AAF4931E28808"
+        "OwnerKey" = "8:_F498B07FE00D5061A21D8D4CDD7E934D"
         "MsmSig" = "8:_UNDEFINED"
         }
@@ -538,5 +538,5 @@
         "IsDebugOnly" = "11:TRUE"
         "IsReleaseOnly" = "11:FALSE"
-        "OutputFilename" = "8:Debug\\HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsServiceSetup.msi"
+        "OutputFilename" = "8:Debug\\HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup.msi"
         "PackageFilesAs" = "3:2"
         "PackageFileSize" = "3:-2147483648"
@@ -575,5 +575,5 @@
         "IsDebugOnly" = "11:FALSE"
         "IsReleaseOnly" = "11:TRUE"
-        "OutputFilename" = "8:Release\\HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsServiceSetup.msi"
+        "OutputFilename" = "8:Release\\HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup.msi"
         "PackageFilesAs" = "3:2"
         "PackageFileSize" = "3:-2147483648"
@@ -691,18 +691,18 @@
         "File"
         {
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_09E29170ABBCB4A4576BCBDC2ECA12FF"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_2882F9E64173FCEB82D41D4DCFFC7DFC"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Clients.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_09E29170ABBCB4A4576BCBDC2ECA12FF"
-                    {
-                    "Name" = "8:HeuristicLab.Common-3.3.dll"
+                    "_2882F9E64173FCEB82D41D4DCFFC7DFC"
+                    {
+                    "Name" = "8:HeuristicLab.Clients.Common-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Common-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.Clients.Common-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -722,18 +722,38 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_2312363231709A6EFF11B5CF15221B9B"
+            "{1FB2D0AE-D3B9-43D4-B9DD-F88EC61E35DE}:_33AF891D67D84A0CAC45740078D4D02C"
+            {
+            "SourcePath" = "8:..\\HeuristicLab.Clients.Hive.Slave\\3.3\\ICSharpCode.SharpZipLib License.txt"
+            "TargetName" = "8:ICSharpCode.SharpZipLib License.txt"
+            "Tag" = "8:"
+            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
+            "Condition" = "8:"
+            "Transitive" = "11:FALSE"
+            "Vital" = "11:TRUE"
+            "ReadOnly" = "11:FALSE"
+            "Hidden" = "11:FALSE"
+            "System" = "11:FALSE"
+            "Permanent" = "11:FALSE"
+            "SharedLegacy" = "11:FALSE"
+            "PackageAs" = "3:1"
+            "Register" = "3:1"
+            "Exclude" = "11:FALSE"
+            "IsDependency" = "11:FALSE"
+            "IsolateTo" = "8:"
+            }
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_3ABE8A53BCA1CBC486DDBB39D49162B0"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.PluginInfrastructure-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Persistence-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_2312363231709A6EFF11B5CF15221B9B"
-                    {
-                    "Name" = "8:HeuristicLab.PluginInfrastructure-3.3.dll"
+                    "_3ABE8A53BCA1CBC486DDBB39D49162B0"
+                    {
+                    "Name" = "8:HeuristicLab.Persistence-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.PluginInfrastructure-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.Persistence-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -753,18 +773,38 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_298FAD981129E211A085CCCD3029BA01"
+            "{1FB2D0AE-D3B9-43D4-B9DD-F88EC61E35DE}:_46A045C9E940444CBA7E67E6E189FB05"
+            {
+            "SourcePath" = "8:HeuristicLab.ico"
+            "TargetName" = "8:HeuristicLab.ico"
+            "Tag" = "8:"
+            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
+            "Condition" = "8:"
+            "Transitive" = "11:FALSE"
+            "Vital" = "11:TRUE"
+            "ReadOnly" = "11:FALSE"
+            "Hidden" = "11:FALSE"
+            "System" = "11:FALSE"
+            "Permanent" = "11:FALSE"
+            "SharedLegacy" = "11:FALSE"
+            "PackageAs" = "3:1"
+            "Register" = "3:1"
+            "Exclude" = "11:FALSE"
+            "IsDependency" = "11:FALSE"
+            "IsolateTo" = "8:"
+            }
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_4AA0E296E0DE70CDC80D911B5FB8B828"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Common.Resources-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Parameters-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_298FAD981129E211A085CCCD3029BA01"
-                    {
-                    "Name" = "8:HeuristicLab.Common.Resources-3.3.dll"
+                    "_4AA0E296E0DE70CDC80D911B5FB8B828"
+                    {
+                    "Name" = "8:HeuristicLab.Parameters-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Common.Resources-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.Parameters-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -784,18 +824,18 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_308DF99B18FEC29C15B4C1A83090700B"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_4DC517E8EA3134EFFFA08BB31BEE1801"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Data-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Common.Resources-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_308DF99B18FEC29C15B4C1A83090700B"
-                    {
-                    "Name" = "8:HeuristicLab.Data-3.3.dll"
+                    "_4DC517E8EA3134EFFFA08BB31BEE1801"
+                    {
+                    "Name" = "8:HeuristicLab.Common.Resources-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Data-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.Common.Resources-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -815,18 +855,38 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_32D6DA86885B62A60CFCC5CEA22306C8"
+            "{1FB2D0AE-D3B9-43D4-B9DD-F88EC61E35DE}:_51F630C66E53455185E4E2125EB0AA02"
+            {
+            "SourcePath" = "8:hl_logo.jpg"
+            "TargetName" = "8:hl_logo.jpg"
+            "Tag" = "8:"
+            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
+            "Condition" = "8:"
+            "Transitive" = "11:FALSE"
+            "Vital" = "11:TRUE"
+            "ReadOnly" = "11:FALSE"
+            "Hidden" = "11:FALSE"
+            "System" = "11:FALSE"
+            "Permanent" = "11:FALSE"
+            "SharedLegacy" = "11:FALSE"
+            "PackageAs" = "3:1"
+            "Register" = "3:1"
+            "Exclude" = "11:FALSE"
+            "IsDependency" = "11:FALSE"
+            "IsolateTo" = "8:"
+            }
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_76455BF091D471B8F265D4FE7AE1A1A0"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Persistence-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Data-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_32D6DA86885B62A60CFCC5CEA22306C8"
-                    {
-                    "Name" = "8:HeuristicLab.Persistence-3.3.dll"
+                    "_76455BF091D471B8F265D4FE7AE1A1A0"
+                    {
+                    "Name" = "8:HeuristicLab.Data-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Persistence-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.Data-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -846,58 +906,18 @@
             "IsolateTo" = "8:"
             }
-            "{1FB2D0AE-D3B9-43D4-B9DD-F88EC61E35DE}:_33AF891D67D84A0CAC45740078D4D02C"
-            {
-            "SourcePath" = "8:..\\HeuristicLab.Clients.Hive.Slave\\3.3\\ICSharpCode.SharpZipLib License.txt"
-            "TargetName" = "8:ICSharpCode.SharpZipLib License.txt"
-            "Tag" = "8:"
-            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:FALSE"
-            "IsolateTo" = "8:"
-            }
-            "{1FB2D0AE-D3B9-43D4-B9DD-F88EC61E35DE}:_46A045C9E940444CBA7E67E6E189FB05"
-            {
-            "SourcePath" = "8:HeuristicLab.ico"
-            "TargetName" = "8:HeuristicLab.ico"
-            "Tag" = "8:"
-            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:FALSE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_48FD1298DF9E18B375781EC3607AA299"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_861B90931D4FD5677B180339802C6388"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Clients.Hive.SlaveCore-3.3, Version=3.3.5.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Hive-3.3, Version=3.3.5.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_48FD1298DF9E18B375781EC3607AA299"
-                    {
-                    "Name" = "8:HeuristicLab.Clients.Hive.SlaveCore-3.3.dll"
+                    "_861B90931D4FD5677B180339802C6388"
+                    {
+                    "Name" = "8:HeuristicLab.Hive-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Clients.Hive.SlaveCore-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.Hive-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -917,38 +937,18 @@
             "IsolateTo" = "8:"
             }
-            "{1FB2D0AE-D3B9-43D4-B9DD-F88EC61E35DE}:_51F630C66E53455185E4E2125EB0AA02"
-            {
-            "SourcePath" = "8:hl_logo.jpg"
-            "TargetName" = "8:hl_logo.jpg"
-            "Tag" = "8:"
-            "Folder" = "8:_8564EC48868C45BDB6F26256DBC6B288"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:FALSE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_74788AEA6840C1A137EAD75400B25FB0"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_89B1DC35899CE5ADEBFBBBFC92E1AB9D"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Collections-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Core-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_74788AEA6840C1A137EAD75400B25FB0"
-                    {
-                    "Name" = "8:HeuristicLab.Collections-3.3.dll"
+                    "_89B1DC35899CE5ADEBFBBBFC92E1AB9D"
+                    {
+                    "Name" = "8:HeuristicLab.Core-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Collections-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.Core-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -968,18 +968,18 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_747ECFD133B679D7EDB8B013F82414ED"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_8F37B891A59B04A3477719639CFA20B6"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Optimization-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Clients.Hive.SlaveCore-3.3, Version=3.3.5.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_747ECFD133B679D7EDB8B013F82414ED"
-                    {
-                    "Name" = "8:HeuristicLab.Optimization-3.3.dll"
+                    "_8F37B891A59B04A3477719639CFA20B6"
+                    {
+                    "Name" = "8:HeuristicLab.Clients.Hive.SlaveCore-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Optimization-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.Clients.Hive.SlaveCore-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -999,18 +999,18 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_B6B9AEAF05998463AE4BEE0B7DD3C6E3"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_C9274A3C94283758E28C8DBC02BC8CB6"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Hive-3.3, Version=3.3.5.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.PluginInfrastructure-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_B6B9AEAF05998463AE4BEE0B7DD3C6E3"
-                    {
-                    "Name" = "8:HeuristicLab.Hive-3.3.dll"
+                    "_C9274A3C94283758E28C8DBC02BC8CB6"
+                    {
+                    "Name" = "8:HeuristicLab.PluginInfrastructure-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Hive-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.PluginInfrastructure-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -1030,18 +1030,18 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_BDE8CCFC73D5EB984C3E210430700907"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_C99E9B4E517069A089B657AE007CF77B"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Tracing-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Clients.Hive-3.3, Version=3.3.5.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_BDE8CCFC73D5EB984C3E210430700907"
-                    {
-                    "Name" = "8:HeuristicLab.Tracing-3.3.dll"
+                    "_C99E9B4E517069A089B657AE007CF77B"
+                    {
+                    "Name" = "8:HeuristicLab.Clients.Hive-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Tracing-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.Clients.Hive-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -1061,18 +1061,18 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_BE977EC17434C826BFAFD0E106E7545E"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_CEF3C906152F1560485721475EBC3D41"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Clients.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Tracing-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_BE977EC17434C826BFAFD0E106E7545E"
-                    {
-                    "Name" = "8:HeuristicLab.Clients.Common-3.3.dll"
+                    "_CEF3C906152F1560485721475EBC3D41"
+                    {
+                    "Name" = "8:HeuristicLab.Tracing-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Clients.Common-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.Tracing-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -1092,18 +1092,18 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_BEAFD672420F4E9F4EF5320A6FD228D5"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_DF3FC5A25B80BDAADCBAA8D7AE98F010"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Parameters-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_BEAFD672420F4E9F4EF5320A6FD228D5"
-                    {
-                    "Name" = "8:HeuristicLab.Parameters-3.3.dll"
+                    "_DF3FC5A25B80BDAADCBAA8D7AE98F010"
+                    {
+                    "Name" = "8:HeuristicLab.Common-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Parameters-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.Common-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -1123,18 +1123,18 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_C3DB513787006C0DE80AAF4931E28808"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_DFBC0A51ED15292B95F858E150882F5D"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:ICSharpCode.SharpZipLib, Version=0.85.4.369, Culture=neutral, PublicKeyToken=1b03e6acf1164f73, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Collections-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_C3DB513787006C0DE80AAF4931E28808"
-                    {
-                    "Name" = "8:ICSharpCode.SharpZipLib.dll"
+                    "_DFBC0A51ED15292B95F858E150882F5D"
+                    {
+                    "Name" = "8:HeuristicLab.Collections-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:ICSharpCode.SharpZipLib.dll"
+            "SourcePath" = "8:HeuristicLab.Collections-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -1154,18 +1154,18 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_DDDC2304DF03988386A962E677272C75"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_F498B07FE00D5061A21D8D4CDD7E934D"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Clients.Hive-3.3, Version=3.3.5.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:ICSharpCode.SharpZipLib, Version=0.85.4.369, Culture=neutral, PublicKeyToken=1b03e6acf1164f73, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_DDDC2304DF03988386A962E677272C75"
-                    {
-                    "Name" = "8:HeuristicLab.Clients.Hive-3.3.dll"
+                    "_F498B07FE00D5061A21D8D4CDD7E934D"
+                    {
+                    "Name" = "8:ICSharpCode.SharpZipLib.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Clients.Hive-3.3.dll"
+            "SourcePath" = "8:ICSharpCode.SharpZipLib.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -1185,18 +1185,18 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_F200C72A4BE5597C7761825AE83FC6A8"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_FE70E8BCFB8F95B5BA8135C4061CB63C"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Core-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Optimization-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_F200C72A4BE5597C7761825AE83FC6A8"
-                    {
-                    "Name" = "8:HeuristicLab.Core-3.3.dll"
+                    "_FE70E8BCFB8F95B5BA8135C4061CB63C"
+                    {
+                    "Name" = "8:HeuristicLab.Optimization-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Core-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.Optimization-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -1273,5 +1273,5 @@
         "ProductName" = "8:HeuristicLab Hive Slave"
         "ProductCode" = "8:{83D128A1-4766-4B19-A449-15B0A1969B99}"
-        "PackageCode" = "8:{7854B57A-FC69-4DED-87F6-EA3DC2D9E664}"
+        "PackageCode" = "8:{0ED9AC43-F041-4D33-8CCD-1386699987B2}"
         "UpgradeCode" = "8:{F27A07F7-B96C-4375-B9C2-6623E5C2B03E}"
         "AspNetVersion" = "8:4.0.30319.0"
@@ -1804,5 +1804,5 @@
             "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_3C881D08A42747949E7F0009E1EB3D51"
             {
-            "SourcePath" = "8:..\\HeuristicLab.Clients.Hive.Slave.SlaveWindowsService\\obj\\Debug\\HeuristicLab.Clients.Hive.Slave.SlaveWindowsService.exe"
+            "SourcePath" = "8:..\\HeuristicLab.Clients.Hive.Slave.WindowsService\\3.3\\obj\\Debug\\HeuristicLab.Clients.Hive.Slave.WindowsService.exe"
             "TargetName" = "8:"
             "Tag" = "8:"
